Package be.ehealth.businessconnector.vsbnetinsurability.builder.impl

# Class RequestBuilderImpl

java.lang.Object
be.ehealth.businessconnector.vsbnetinsurability.builder.impl.RequestBuilderImpl

All Implemented Interfaces:
  `RequestBuilder`

public class RequestBuilderImpl extends Object implements RequestBuilder
Implementation of `RequestBuilder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetInsurabilityRequest`
  `buildGetInsurabilityRequest(CommonInput commonInput, Routing routing, Blob blob)`
  builds the request object.
  `GetInsurabilityRequest`
  `buildGetInsurabilityRequest(Routing routing, byte[] content, String uniqueInputReference)`
  builds the request object.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestBuilderImpl

    public RequestBuilderImpl()

- ## Method Details

  - ### buildGetInsurabilityRequest

    public GetInsurabilityRequest buildGetInsurabilityRequest(CommonInput commonInput, Routing routing, Blob blob) throws TechnicalConnectorException
    Description copied from interface: `RequestBuilder`
    builds the request object.
    Specified by:
      `buildGetInsurabilityRequest` in interface `RequestBuilder`
    Parameters:
      `commonInput` - commonInput as generated by mycarenet common builder
      `routing` - routing , as generated by mycarenet common builder
      `blob` - a Blob , with type 'text/xml' , contentEncoding 'none' and id (for Xades ). A HashValue must not be provided.
    Returns:
      `GetInsurabilityRequest`
    Throws:
      `TechnicalConnectorException`
    See Also:
      - `xadesValue is not set because of it's not allowed for this project.`

  - ### buildGetInsurabilityRequest

    public GetInsurabilityRequest buildGetInsurabilityRequest(Routing routing, byte[] content, String uniqueInputReference) throws TechnicalConnectorException
    Description copied from interface: `RequestBuilder`
    builds the request object.
    Specified by:
      `buildGetInsurabilityRequest` in interface `RequestBuilder`
    Parameters:
      `routing` - routing , as generated by mycarenet common builder
      `content` - byte array containing the business xml
    Returns:
      `GetInsurabilityRequest`
    Throws:
      `TechnicalConnectorException`
    See Also:
      - invalid reference

            be.ehealth.businessconnector.vsbnetinsurability.builder.RequestBuilder#buildGetInsurabilityRequest(be.ehealth.business.mycarenetdomaincommons.domain.Routing, byte[])